# enaml.stdlib.dock_area_styles

Functions

`available_styles` | Get the list of names of registered styles.
`register_styles` | Register dock area styles with the given name.
`get_registered_styles` | Get the styles registered for the given name.

Classes

`BasicStyle` |
`AreaStyle` |
`RubberBandStyle` |
`WindowStyle` |
`WindowButtonStyle` |
`ContainerStyle` |
`TabBarTabStyle` |
`TabBarCloseButtonStyle` |
`DockBarButtonStyle` |
`ItemStyle` |
`TitleBarStyle` |
`TitleBarLabelStyle` |
`TitleBarButtonStyle` |

enaml.stdlib.dock_area_styles.available_styles()

  Get the list of names of registered styles.

  Returns:

    result – The list of names of registered style templates.

  Return type:

    list

enaml.stdlib.dock_area_styles.register_styles(name, styles)

  Register dock area styles with the given name.

  Parameters:

    - name (str) – The name to associate with the styles.

    - styles (template) – An Enaml template which will generate the dock area styles when invoked.

  Raises:

    ValueError – This will be raised the name is already registered.

enaml.stdlib.dock_area_styles.get_registered_styles(name)

  Get the styles registered for the given name.

  Parameters:

    name (str) – The name of the registered styles.

  Returns:

    result – An Enaml template which will generated the dock area styles when instantiated. It should be invoked with no arguments in the body of a StyleSheet.

  Return type:

    template or None

class enaml.stdlib.dock_area_styles.BasicStyle(parent=None, **kwargs)

  Bases: `Style`

  __reduce_ex__(proto)

    An implementation of the reduce protocol.

    This method creates a reduction tuple for enamldef instances. It is not part of the public Enaml api.

class enaml.stdlib.dock_area_styles.AreaStyle(parent=None, **kwargs)

  Bases: `BasicStyle`

class enaml.stdlib.dock_area_styles.RubberBandStyle(parent=None, **kwargs)

  Bases: `BasicStyle`

class enaml.stdlib.dock_area_styles.WindowStyle(parent=None, **kwargs)

  Bases: `BasicStyle`

class enaml.stdlib.dock_area_styles.WindowButtonStyle(parent=None, **kwargs)

  Bases: `BasicStyle`

class enaml.stdlib.dock_area_styles.ContainerStyle(parent=None, **kwargs)

  Bases: `BasicStyle`

class enaml.stdlib.dock_area_styles.TabBarTabStyle(parent=None, **kwargs)

  Bases: `BasicStyle`

class enaml.stdlib.dock_area_styles.TabBarCloseButtonStyle(parent=None, **kwargs)

  Bases: `BasicStyle`

class enaml.stdlib.dock_area_styles.DockBarButtonStyle(parent=None, **kwargs)

  Bases: `BasicStyle`

class enaml.stdlib.dock_area_styles.ItemStyle(parent=None, **kwargs)

  Bases: `BasicStyle`

class enaml.stdlib.dock_area_styles.TitleBarStyle(parent=None, **kwargs)

  Bases: `BasicStyle`

class enaml.stdlib.dock_area_styles.TitleBarLabelStyle(parent=None, **kwargs)

  Bases: `BasicStyle`

class enaml.stdlib.dock_area_styles.TitleBarButtonStyle(parent=None, **kwargs)

  Bases: `BasicStyle`